Page MenuHomePhabricator

[Bug] Terms sometimes not showing up, purge needed
Closed, ResolvedPublic

Description

Terms sometimes don't seem show up in an entities term box. It works after a purge. This leads to "weird" behavior, especially regarding edits.

This is probably related to 4b52cd637a10303db1911929072e04898d0e9833.

Event Timeline

hoo created this task.May 19 2016, 9:22 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 19 2016, 9:22 AM
Lydia_Pintscher triaged this task as Normal priority.May 19 2016, 12:07 PM
aude added a subscriber: aude.May 27 2016, 2:35 PM

problem is with https://gerrit.wikimedia.org/r/#/c/288024/ and use of LabelDescriptionLookup (with EntityInfoTermLookup).

ParserOutput generation happens before/during save and before the terms table is updated. EntityInfoTermLookup, via SqlEntityInfoBuilder) collects terms from the terms table which still has old terms at the time ParserOutput (e.g. html) is generated.

Instead, we should use the LabelsProvider (and DescriptionsProvider), as done previously. These are already available in SimpleEntityTermsView and are associated with the version of the entity being saved.

We still want to provide language fallback. An in-memory term lookup could work or something else.

Change 291247 had a related patch set uploaded (by Aude):
Fix display of outdated label and description in EntityView header

https://gerrit.wikimedia.org/r/291247

aude claimed this task.May 27 2016, 2:59 PM
aude moved this task from Proposed to Review on the Wikidata-Sprint-2016-05-24 board.

Change 291247 merged by jenkins-bot:
Fix display of outdated label and description in EntityView header

https://gerrit.wikimedia.org/r/291247

Change 292987 had a related patch set uploaded (by Aude):
Fix display of outdated label and description in EntityView header

https://gerrit.wikimedia.org/r/292987

Change 292987 merged by jenkins-bot:
Fix display of outdated label and description in EntityView header

https://gerrit.wikimedia.org/r/292987

Change 293048 had a related patch set uploaded (by Aude):
Update Wikibase and ArticlePlaceholder

https://gerrit.wikimedia.org/r/293048

Change 293048 merged by jenkins-bot:
Update Wikibase and ArticlePlaceholder

https://gerrit.wikimedia.org/r/293048

aude closed this task as Resolved.Jun 7 2016, 1:12 AM
aude removed a project: Patch-For-Review.
aude moved this task from Review to Done on the Wikidata-Sprint-2016-05-24 board.